/**
 * Get the keys of the Metadata indexes map
 * @remarks This function will return a flat string array of all the keys in the "metadata indexes" map
 * @param data - the map data to have the keys extracted from
 * @returns the keys of the map
 * @public
 */
export function getAvailableIndexes(data) {
    const availabeIndexes = [];
    for (const [key] of data) {
        if (key) {
            availabeIndexes.push(key);
        }
    }
    return availabeIndexes;
}
/**
 * Get the values of the Metadata indexes map
 * @remarks This function will return a flat string array of all the values in the "metadata indexes" map
 * @param data - the map data to have the values extracted from
 * @returns the values of the map
 * @public
 */
export function getAvailableIndexFields(data) {
    const availableIndexFields = [];
    function traverse(items) {
        for (const item of items) {
            if (item !== null) {
                availableIndexFields.push(item);
            }
        }
    }
    for (const [key, value] of data) {
        if (key !== null && value !== null) {
            traverse(value);
        }
    }
    return availableIndexFields;
}
